/*
 * Creado el 31-mar-04
 *
 * Para cambiar la plantilla para este archivo generado vaya a
 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios
 */
package es.ejie.frmk.admon.logs;

import es.ejie.frmk.infraestructura.logs.base.Q70ConfiguracionLog;
import es.ejie.frmk.infraestructura.logs.base.Q70ConstantesLogs;

/**
 * @version 1.0
 * Fecha: 31-mar-04
 */
public class Q70FactoriaBuscadores
{
	public static Q70Buscador getBuscador(String logName, Q70ConfiguracionLog configuracionLog)
	{
		
		Q70Buscador buscador=null;
		String destino = configuracionLog.getProperty(Q70ConstantesLogs.DESTINO);
		//Obtener los datos si están en fichero o en base de datos 
		if (destino.equalsIgnoreCase(Q70ConstantesLogs.TARGET_DATABASE))
		{
			buscador = new Q70BuscadorBDLog();
			buscador.setConfiguracion(logName,configuracionLog);
	
		}
		else if (destino.equalsIgnoreCase(Q70ConstantesLogs.TARGET_DATE_BACKUP_FILE) ||destino.equalsIgnoreCase(Q70ConstantesLogs.TARGET_SIZE_BACKUP_FILE))
		{
			//Buscar los elementos en el fichero y añadir los resultados en la lista de resultados
			buscador = new Q70BuscadorFicheroLog();
			buscador.setConfiguracion(logName,configuracionLog);
			
		}
		return buscador;
	}
}
